Skip to content

Infer Location Paths

POST
/users/{user_id}/location-paths/infer
curl --request POST \
--url 'https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/location-paths/infer?date=2026-04-15'

Detect transit gaps for the day and fill each with a routed path (gated by path_inference). Idempotent: replaces prior ‘routed’ rows for the day; never touches ‘manual’ rows.

user_id
required
User Id
string format: uuid
date
required
Date

Local calendar day to reconstruct routes for

string format: date

Local calendar day to reconstruct routes for

Successful Response

Media typeapplication/json
Response Infer Location Paths Users User Id Location Paths Infer Post
Array<object>
LocationPathRead
object
distance_m
Any of:
number
ended_at
required
Ended At
string format: date-time
geometry
required
Geometry
Array<Array<number>>
id
required
Id
string format: uuid
local_date
Any of:
string format: date
provider
Any of:
string
source
required
Source
string
started_at
required
Started At
string format: date-time
travel_mode
Any of:
string
Examplegenerated
[
{
"distance_m": 1,
"ended_at": "2026-04-15T12:00:00Z",
"geometry": [
[
1
]
],
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"local_date": "2026-04-15",
"provider": "example",
"source": "example",
"started_at": "2026-04-15T12:00:00Z",
"travel_mode": "example"
}
]

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}